package com.mortals.xhx.module.basics.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:Basics
* date: 2021-8-18 14:24:45
*/
public class BasicsEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1629267885888L;


    /**
    * 一件事标题
    */
    private String tname;

    /**
    * 二维码
    */
    private String qrcode;

    /**
    * 事项关联id,
    */
    private String matterIds;

    /**
    * 是否自主申报 0否  1是 默认0
    */
    private Integer iszzsb;

    /**
    * 排序 倒序
    */
    private Integer sort;

    /**
    * 状态 0正常  1删除
    */
    private Integer valid;

    /**
    * 变更时间
    */
    private Date updateTime;

    /**
    * 变更用户loginName
    */
    private String updateUser;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户loginName
    */
    private String createUser;

    public BasicsEntity(){

    }
    /**
    * 获取 一件事标题
    * @return tname
    */
    public String getTname() {
        return this.tname;
    }
    /**
    * 设置 一件事标题
    * @param tname
    */
    public void setTname(String tname) {
        this.tname = tname;
    }
    /**
    * 获取 二维码
    * @return qrcode
    */
    public String getQrcode() {
        return this.qrcode;
    }
    /**
    * 设置 二维码
    * @param qrcode
    */
    public void setQrcode(String qrcode) {
        this.qrcode = qrcode;
    }
    /**
    * 获取 事项关联id,
    * @return matterIds
    */
    public String getMatterIds() {
        return this.matterIds;
    }
    /**
    * 设置 事项关联id,
    * @param matterIds
    */
    public void setMatterIds(String matterIds) {
        this.matterIds = matterIds;
    }
    /**
    * 获取 是否自主申报 0否  1是 默认0
    * @return iszzsb
    */
    public Integer getIszzsb() {
        return this.iszzsb;
    }
    /**
    * 设置 是否自主申报 0否  1是 默认0
    * @param iszzsb
    */
    public void setIszzsb(Integer iszzsb) {
        this.iszzsb = iszzsb;
    }
    /**
    * 获取 排序 倒序
    * @return sort
    */
    public Integer getSort() {
        return this.sort;
    }
    /**
    * 设置 排序 倒序
    * @param sort
    */
    public void setSort(Integer sort) {
        this.sort = sort;
    }
    /**
    * 获取 状态 0正常  1删除
    * @return valid
    */
    public Integer getValid() {
        return this.valid;
    }
    /**
    * 设置 状态 0正常  1删除
    * @param valid
    */
    public void setValid(Integer valid) {
        this.valid = valid;
    }
    /**
    * 获取 变更时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 变更时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUser
    */
    public String getUpdateUser() {
        return this.updateUser;
    }
    /**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户loginName
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户loginName
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof BasicsEntity) {
            BasicsEntity tmp = (BasicsEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",tname:").append(getTname())
                .append(",qrcode:").append(getQrcode())
                .append(",matterIds:").append(getMatterIds())
                .append(",iszzsb:").append(getIszzsb())
                .append(",sort:").append(getSort())
                .append(",valid:").append(getValid())
                .append(",updateTime:").append(getUpdateTime())
                .append(",updateUser:").append(getUpdateUser())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.tname = null;

         this.qrcode = null;

         this.matterIds = null;

         this.iszzsb = null;

         this.sort = null;

         this.valid = null;

         this.updateTime = null;

         this.updateUser = null;

         this.createTime = null;

         this.createUser = null;

    }
}